Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.verifier
Class AbstractVerifier

    java.lang.Object
      com.sun.msv.verifier.AbstractVerifier

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, IDContextProvider2, ValidationContext

Direct Known Subclasses:
  Verifier

public abstract class AbstractVerifier
extends java.lang.Object
implements org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, IDContextProvider2

Base implementation for various Verifier implementations. This implementation provides common service like:

1. collecting ID/IDREFs.
2. storing Locator.

   By setting `performIDcheck` variable, the ID/IDREF checking can be either turned on or turned off.

   Author:
     Kohsuke KAWAGUCHI

   Constructor Summary
   `AbstractVerifier()`

   Method Summary
   `void` | `endElement(java.lang.String namespaceUri, java.lang.String localName, java.lang.String qName)`
   `void` | `endPrefixMapping(java.lang.String prefix)`
   `java.lang.String` | `getBaseUri()`
   `org.xml.sax.Locator` | `getLocator()`
   `boolean` | `isNotation(java.lang.String notationName)`
   `boolean` | `isUnparsedEntity(java.lang.String entityName)`
   `void` | `notationDecl(java.lang.String name, java.lang.String publicId, java.lang.String systemId)`
   `void` | `onID(Datatype dt, StringToken token)` this method is called when a type with ID semantics is matched.
   `void` | `processingInstruction(java.lang.String name, java.lang.String data)`
   `java.lang.String` | `resolveNamespacePrefix(java.lang.String prefix)`
   `void` | `setDocumentLocator(org.xml.sax.Locator loc)`
   `void` | `skippedEntity(java.lang.String p)`
   `void` | `startElement(java.lang.String namespaceUri, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes atts)`
   `void` | `startPrefixMapping(java.lang.String prefix, java.lang.String uri)`
   `void` | `unparsedEntityDecl(java.lang.String name, java.lang.String publicId, java.lang.String systemId, java.lang.String notationName)`

   Methods inherited from class java.lang.Object
   `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

   Methods inherited from interface org.xml.sax.ContentHandler
   `characters, endDocument, ignorableWhitespace, startDocument`

   Constructor Detail

   ### AbstractVerifier

       public AbstractVerifier()

   Method Detail

   ### getLocator

       public final org.xml.sax.Locator getLocator()

   ### setDocumentLocator

       public void setDocumentLocator(org.xml.sax.Locator loc)

     Specified by:
       `setDocumentLocator` in interface `org.xml.sax.ContentHandler`

   ### skippedEntity

       public void skippedEntity(java.lang.String p)

     Specified by:
       `skippedEntity` in interface `org.xml.sax.ContentHandler`

   ### processingInstruction

       public void processingInstruction(java.lang.String name,
                                         java.lang.String data)

     Specified by:
       `processingInstruction` in interface `org.xml.sax.ContentHandler`

   ### startPrefixMapping

       public void startPrefixMapping(java.lang.String prefix,
                                      java.lang.String uri)

     Specified by:
       `startPrefixMapping` in interface `org.xml.sax.ContentHandler`

   ### endPrefixMapping

       public void endPrefixMapping(java.lang.String prefix)

     Specified by:
       `endPrefixMapping` in interface `org.xml.sax.ContentHandler`

   ### startElement

       public void startElement(java.lang.String namespaceUri,
                                java.lang.String localName,
                                java.lang.String qName,
                                org.xml.sax.Attributes atts)
                         throws org.xml.sax.SAXException

     Specified by:
       `startElement` in interface `org.xml.sax.ContentHandler`
     Throws:
       `org.xml.sax.SAXException`

   ### endElement

       public void endElement(java.lang.String namespaceUri,
                              java.lang.String localName,
                              java.lang.String qName)
                       throws org.xml.sax.SAXException

     Specified by:
       `endElement` in interface `org.xml.sax.ContentHandler`
     Throws:
       `org.xml.sax.SAXException`

   ### notationDecl

       public void notationDecl(java.lang.String name,
                                java.lang.String publicId,
                                java.lang.String systemId)

     Specified by:
       `notationDecl` in interface `org.xml.sax.DTDHandler`

   ### unparsedEntityDecl

       public void unparsedEntityDecl(java.lang.String name,
                                      java.lang.String publicId,
                                      java.lang.String systemId,
                                      java.lang.String notationName)

     Specified by:
       `unparsedEntityDecl` in interface `org.xml.sax.DTDHandler`

   ### resolveNamespacePrefix

       public java.lang.String resolveNamespacePrefix(java.lang.String prefix)

     Specified by:
       `resolveNamespacePrefix` in interface `ValidationContext`

   ### isUnparsedEntity

       public boolean isUnparsedEntity(java.lang.String entityName)

     Specified by:
       `isUnparsedEntity` in interface `ValidationContext`

   ### isNotation

       public boolean isNotation(java.lang.String notationName)

     Specified by:
       `isNotation` in interface `ValidationContext`

   ### getBaseUri

       public java.lang.String getBaseUri()

     Specified by:
       `getBaseUri` in interface `ValidationContext`

   ### onID

       public void onID(Datatype dt,
                        StringToken token)

     Description copied from interface: `IDContextProvider2`
     this method is called when a type with ID semantics is matched. It is the callee's responsibility that stores ID and checks doubly defined ID, if it is necessary.

     Specified by:
       `onID` in interface `IDContextProvider2`

   Overview | Package | Class | Tree | Deprecated | Index | Help
   PREV CLASS NEXT CLASS | FRAMES NO FRAMES
   SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD